<?php

/**
 * @var $this       \Application\View\Renderer\PhpRenderer
 * @var $controller \Laminas\Mvc\Controller\AbstractController
 * @var $container  \Psr\Container\ContainerInterface
 * @var $viewName   string
 * @var $viewFile   string
 */

$cg = \UnicaenCode\Util::codeGenerator();

$params = $cg->getParams('viewHelper');
$cg->generer($params);

if (!\Laminas\Console\Console::isConsole()) {
    ?>

    <h3>Etape 4 : Mise à jour de votre phpRenderer</h3>

    <a href="<?php echo $this->url('unicaen-code', ['view' => 'GenerateApplicationPhpRenderer']); ?>">Aller au générateur de phpRenderer</a>
    <?php
}